#!/usr/bin/perl

# You will find a complete HTML tutorial/manual at:
# http://www.siteinteractive.com/acctlite/tutorial
#
# Version 1.09
##############################################################
# EDIT USER CONFIGURATIONS BELOW
# 
# Note: These are the only configurations you will need to
# set in Account Manager LITE.
#
# Be sure to set the "require" paths in both the acctman.pl
# and the amadmin.pl files.
##############################################################

# Add your BODY tag information, like background graphic, color, etc.
$bodyspec = "background=\"\" bgcolor=\"#FFFFFF\" link=\"#0000FF\" vlink=\"#0000FF\"";

# Add your own graphics, text, links, etc., to the top of your pages.
# Give the full directory path to your header.txt file.  DO NOT include
# the header.txt file in the path here, just the directories.
# $header = "/full/path/to/directory";
$header = "";

# Add your own graphics, text, links, etc., to the bottom of your pages.
# Give the full directory path to your footer.txt file.  DO NOT include
# the footer.txt file in the path here, just the directories.
# $footer = "/full/path/to/directory";
$footer = "";

# Edit the font colors of the text on the help and error screens that
# users will see.  This is helpful if you add a background color or
# graphic.
$fontcolor = "#000000";

# Type the name of your organization, group, or company
$orgname = "Account Manager Demo";

# Type an email address that customer/user can respond to
# Remember to put a backslash \ before your @
# eg: $orgmail = "whatever\@wherever.com";
$orgmail = "whatever\@wherever.com";

# Type a full path for a temp directory
# as well as store other temporary files
$tempdir = "/full/directory/path/to/temp";

# Type the full path to your Mail program
$mailprog = "/usr/bin/sendmail";

# This would be the suject of the e-mail your users will
# receive automatically once they have submitted their
# application.
$response_subject = "Application Received";

# If you use .htaccess or .nsconfig, use a "1", otherwise leave blank
# or set to "0".  This is if you use a secure users area.
$htaccess = "1";

# If you entered "1" above, enter the full path to your
# htpasswd or .nsconfig file.
# Like this: $memaccess = "/full/path/to/.htpasswd";
# This is the file that houses the usernames and encrypted passwords
# but is only needed if you use .htaccess or .nsconfig
$memaccess = "/full/directory/path/to/info/.htpasswd";

# Type the full path to the directory that contains all the info
$memberinfo = "/full/directory/path/to/info";


# Upload the approved.txt, denied.txt, and email.txt files
# that come with Account Manager to your $memberinfo directory.
# These files are used to send automatic e-mail responses to
# your customers/subscribers.  Edit these files as needed.


# If you are run the script and receive File Locking (flock)
# errors, remove the number 2 from between the quotes.
# Then it would appear: $LOCK_EX = "";
$LOCK_EX = "2";



# Give the full directory path where you would like your password.txt
# file to be saved.  DO NOT include the name password.txt in the path
# here, just the directories.  $passfile = "/full/path/to/directory";
$passfile = "/full/directory/path/to/pass";



# Type the subject that will appear in the email customer/user
# receives
$subject = "ABC Member Info";



# Create two text files.  One called "approved.txt" and the other
# called "denied.txt".  In each, write the response that you would
# like your prospective members to receive when you have either
# approved or denied their application for membership, respectively.
# Then, upload both text files to your $memberinfo directory.
# The script will do the rest.
# Example, in the "approved.txt" file, you can type:
# "Your account is now active."


# Subject of email that is automatically sent to users that you
# chose not to accept in your Account Manager.
$denied_email_subject = "Application Denied";

# Subject for email that is automatically sent to users that you
# chose to accept in your Account Manager.
$approved_email_subject ="Application Approved";

# This is the e-mail Subject for the response that is sent back to
# you, the administrator, when a signup request is received.
$signupresponse = "Account Manager Lite Signup Response";


